#! /bin/bash
#
# written by Thorsten Glebe, February 1998
# Max-Planck-Institut of Nuclear Physics
# Heidelberg / Germany
#
# arguments: Directories to build locate db from
#            $ITRROOT/packages must not occur as an argument!
PROGPATH=`dirname $0`
PROG=`basename $0`

if [ -z "$ITRROOT" ]; then
    echo "ITRROOT not defined!!"
    exit 1
fi
if [ ! -d "$ITRROOT" ]; then
   echo "directory $ITRROOT not existing!"
   exit 1
fi

if [ -z ${AWK} ];  then
    AWK=gawk
fi

#echo "START of $PROG in $PROGPATH"
#echo "ARGS: $*, ANZ: $#"

#
# first clean up
#
if [ -f $PROGPATH/.locate ]; then
  rm -f $PROGPATH/.locate
fi

#
# treat $ITRROOT/packages
#
if [ -d $ITRROOT/packages ]; then
  for i in `${AWK} '!/^[ ]*#.*$/ {if ( $2 == "dev" ){pkg="dev"}else{gsub("/",".",$2); pkg=$1substr($2,2)}; print "'$ITRROOT'/packages/"$1"/"pkg"/src"}' $PROGPATH/PACKAGES`; do
    find $i -type f -print 2>/dev/null | ${AWK} '!/Makefile/ && !/.depend/ && !/.protocol/ {print $0}'
  done > $PROGPATH/.locate
else
  echo "Directory $ITRROOT/packages does not exist!" >> $PROGPATH/ERRORS
  exit 1
fi

#
# process all command-line directories
#
while [ $# -gt 0 ]; do
  for i in `find $1/ -type d \( -name '*inc*' -o -name 'user' \) -print`; do 
    find $i -type f -print 2>/dev/null | ${AWK} '!/\.[oazZ]$/ && !/^\..*/ {print $0}'
 done 2>/dev/null >> $PROGPATH/.locate
   shift
done

exit 0

