#! /bin/bash
#
# written by Thorsten Glebe, February 1998
# Max-Planck-Institut of Nuclear Physics
# Heidelberg / Germany
#
# This is the super install script
#

DIR=`dirname $0`
source $DIR/util.sh

REPOS="CVS_tmp"

#
# get the repository
#
get_repository(){
  set_tar

  #
  # get repository
  #
  echo "#####################"
  echo "#                   #"
  echo "#  Get Repository   #"
  echo "#                   #"
  echo "#####################"
  echo "next command to execute: "
  echo "rsh hera-b.desy.de -l hbitr \"cd /hb/prog/hbvds; gtar cvzf - CVS\" | $TAR"
  echo -n "ready to get the CVS repository (y/n)? "
  read YN
  if [ "$YN" = "y" -o "$YN" = "Y" -o "$YN" = "yes" ]; then
    echo "start transferring data from hera-b.desy.de!"
    rsh hera-b.desy.de -l hbitr "cd /hb/prog/hbvds; gtar cvzf - CVS" | $TAR
    check_status "error in rsh!"
	#
	# rename repository
	#
    if [ -d CVS ]; then
      mv CVS $REPOS
      check_status "error moving CVS..."
    fi
  else
    exit 1  
  fi
}

#
# Start Program
#
if [ -d $REPOS ]; then
  echo -n "Directory ./$REPOS exists, reuse old one (y/n)? "
  read YN
  if [ "$YN" = "n" -o "$YN" = "N" -o "$YN" = "no" ]; then
    echo "remove directory $REPOS..."
    rm -rf $REPOS
    get_repository
  fi
else
  get_repository
fi


#
# Set CVSROOT
#
CVSDIR=`pwd`/$REPOS
if [ "$CVSROOT" != "$CVSDIR" ]; then
  CVSROOT="$CVSDIR"
  export CVSROOT
  echo "#"
  echo "# Set CVSROOT to $CVSROOT!"
  echo "#"
fi

#
# Start installation
#
echo "#########################"
echo "#                       #"
echo "#   Start Installation  #"
echo "#                       #"
echo "#########################"
echo -n "ready to start the installation (y/n)? "
read YN
if [ "$YN" = "y" -o "$YN" = "Y" -o "$YN" = "yes" ]; then
  echo "lets go!"
  $LIBROOT/ITRmakelib
  check_status "Error in ITRmakelib!"
fi

echo "#########################"
echo "#                       #"
echo "#   Remove Repository   #"
echo "#                       #"
echo "#########################"
echo -n "ready to remove $CVSDIR (y/n)? "
read YN
if [ "$YN" = "y" -o "$YN" = "Y" -o "$YN" = "yes" ]; then
  echo "removing $CVSDIR..."
  rm -rf $CVSDIR
  check_status "Error in removing $CVSDIR!"
fi


