#! /bin/bash

DIR=`dirname $0`
source $DIR/util.sh

# Don't set links in case of dev
LIBNAME=`basename $LIBROOT`
if [ "$LIBNAME" = "dev" ]; then
  exit 0
fi

# set pro links in packages-tree
for i in `${AWK} '/^[ ]*[a-zA-Z]+/ {gsub("^/", "", $2); gsub("/", ".", $2); print $1"/"$1$2}' ${LIBROOT}/PACKAGES`; do
    cd ${ITRROOT}/packages/`dirname $i`
    SRC=pro
    DST=`basename $i`
    if [ -d "$DST" ]; then
      if [ -L "$SRC" ]; then
        rm $SRC
      fi
      echo "set link $SRC -> $DST"
      ln -s $DST $SRC
    else
      warn "cannot find directory $DST"
    fi
done

cd $LIBROOT/..

# set prolib link
if [ -L libitrpro ]; then
  rm libitrpro
fi
if [ ! -e libitrpro -a -d "$LIBNAME" ]; then
  echo "set link libitrpro -> $LIBNAME"
  ln -s $LIBNAME libitrpro
fi

if [ -L pro ]; then
  rm pro
fi
if [ ! -e pro ]; then
  echo "set link pro -> $LIBNAME"
  ln -s $LIBNAME pro
fi

cd $LIBROOT

exit 0

