
/* ITR_ALIGN */
/* Alignment Constants for each ITR_Chamber */
/* 05/08/99 TZ  started, table definition */
/* 01/sep/99 wg modified relation pointers, integrated into itrleda */


DefineLedaTable (ITR_Align, 191,
                 DBushort	 	id;          
                 DBrelation             tonede;      /* Relation to corresponding NEDE */
                 DBfloat                ang  [3];    /* three rotations */ 
                 DBfloat                eang [3];    /* error for rot. */
                 DBfloat                delt [3];    /* three translations */
                 DBfloat                edelt[3];    /* error for trans. */

                 /* OTR specific stuff */
                 DBfloat                sloff[3];    /* offset of sublayer (=monolayer) 
						        within module */
                 DBfloat       		esloff[3];   /* error of sl offset */
                 DBfloat                redres;      /* width of residual distribution 
							extrapolated to a track momentum of infinity */
                 );

SetLedaKey(1) (ITR_Align, DBushort, id);

DefineLedaRelationTable (ITR_Align, 
                         ITR_nede,      align_R_nede
                        );             

SetLedaRelation(1) (ITR_Align,          tonede, 
                    ITR_nede,           toalign 
                   );



DefineLedaTable (ITR_align_vers, 3,
                 DBint			vers;        /* version of alignment program */
                 DBint			run1;        /* first, last run used for */
		 DBint			runl;        /* alignment */
                 DBfloat		qual[10];    /* quality of alignment */
                 DBascii                dqual[20];   /* description of quality */
                 );

SetLedaKey(1) (ITR_align_vers, DBint, vers);


