#ifndef __ITR_MAP_H
#define __ITR_MAP_H


#ifdef __cplusplus
extern "C" {
#endif


/* structure for pseudo GEDE table */
typedef struct {
  int  cid;         /* component ID (ONLINE)              */
  char spl[5];
  int  sl;
  int  lay; 
  int  sec;
  int  fedid;
  int  vmeid;       /* the crate controller number        */
  int  board;       /* board VME I/O address              */
  int  sharc;       /* which sharc on the board?          */
  int  link;        /* ... and which link is used?        */
  int  daqid;       /* assigned by DAQ group to the SLB   */
  int  chan1;       /* start ...                          */
  int  chan1a;      /*  ... 1st chip ...                  */
  int  chan1b;      /*  ... 2nd chip ...                  */
  int  chan2;       /*  ... and stop of FED-channel range */ 
  int  wire1;
  int  wire1a;
  int  wire1b;
  int  wire2;
} ITR_map;


/* prototypes of functions */
ITR_map* itrslt_fillMAP( int* nmap );
int itrslt_testMAP();

#ifdef __cplusplus
	   }
#endif


#endif 
